Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.component.html.ext
Class HtmlDataTableHack

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable
                      org.apache.myfaces.component.html.ext.HtmlDataTableHack

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlDataList, HtmlDataTable

public abstract class HtmlDataTableHack
extends javax.faces.component.html.HtmlDataTable

Reimplement all UIData functionality to be able to have (protected) access the internal DataModel.

Version:
  $Revision: 290979 $ $Date: 2005-09-22 12:52:51 -0400 (Thu, 22 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary

Fields inherited from class javax.faces.component.html.HtmlDataTable
`COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlDataTableHack()`

Method Summary
`protected javax.faces.model.DataModel` | `createDataModel()` Creates a new DataModel around the current value.
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`protected javax.faces.model.DataModel` | `getDataModel()`
`int` | `getRowCount()`
`java.lang.Object` | `getRowData()`
`int` | `getRowIndex()`
`boolean` | `isRowAvailable()`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`protected void` | `setDataModel(javax.faces.model.DataModel datamodel)`
`void` | `setRowIndex(int rowIndex)`
`void` | `setValue(java.lang.Object value)`
`void` | `setValueBinding(java.lang.String name, javax.faces.el.ValueBinding binding)`

Methods inherited from class javax.faces.component.html.HtmlDataTable
`getBgcolor, getBorder, getCellpadding, getCellspacing, getColumnClasses, getDir, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, restoreState, saveState, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

Methods inherited from class javax.faces.component.UIData
`broadcast, getClientId, getFamily, getFirst, getFooter, getHeader, getRows, getValue, getVar, processDecodes, queueEvent, setFirst, setFooter, setHeader, setRows, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlDataTableHack

    public HtmlDataTableHack()

Method Detail

### isRowAvailable

    public boolean isRowAvailable()

### getRowCount

    public int getRowCount()

### getRowData

    public java.lang.Object getRowData()

### getRowIndex

    public int getRowIndex()

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  See Also:
    `UIData.processUpdates(javax.faces.context.FacesContext)`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  See Also:
    `UIData.processValidators(javax.faces.context.FacesContext)`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `UIData.encodeBegin(javax.faces.context.FacesContext)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `UIComponentBase.encodeEnd(javax.faces.context.FacesContext)`

### setRowIndex

    public void setRowIndex(int rowIndex)

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                javax.faces.el.ValueBinding binding)

### setValue

    public void setValue(java.lang.Object value)

  See Also:
    `UIData.setValue(java.lang.Object)`

### getDataModel

    protected javax.faces.model.DataModel getDataModel()

### setDataModel

    protected void setDataModel(javax.faces.model.DataModel datamodel)

### createDataModel

    protected javax.faces.model.DataModel createDataModel()

  Creates a new DataModel around the current value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD